using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Kav
{
    public interface IGBufferDrawable
    {
        Vector3 Albedo { get; }
        float Metallic { get; }
        float Roughness { get; }

        Texture2D AlbedoTexture { get; }
        Texture2D NormalTexture { get; }
        Texture2D MetallicRoughnessTexture { get; }
    }
}
